Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sim.portrayal3d.simple
Class Axes

    java.lang.Object
      sim.portrayal3d.SimplePortrayal3D
          sim.portrayal3d.simple.Axes

All Implemented Interfaces:
  Portrayal, Portrayal3D, java.io.Serializable

public class Axes
extends SimplePortrayal3D

See Also:
  Serialized Form

Constructor Summary
`Axes(float ArrowDia, boolean letters)`

Method Summary
`static void` | `createAxes(javax.media.j3d.Group group, float ArrowDia, boolean letters)`
`javax.media.j3d.TransformGroup` | `getModel(java.lang.Object obj, javax.media.j3d.TransformGroup prev)` If argument is null, it should behave like createModel; otherwise, it is updateModel.

Methods inherited from class sim.portrayal3d.SimplePortrayal3D
`clearPickableFlags, getInspector, getName, setParentPortrayal, setPickableFlags, setPickableFlags, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Axes

    public Axes(float ArrowDia,
                boolean letters)

Method Detail

### createAxes

    public static void createAxes(javax.media.j3d.Group group,
                                  float ArrowDia,
                                  boolean letters)

### getModel

    public javax.media.j3d.TransformGroup getModel(java.lang.Object obj,
                                                   javax.media.j3d.TransformGroup prev)

  Description copied from interface: `Portrayal3D`
  If argument is null, it should behave like createModel; otherwise, it is updateModel. The newly created version or the updated one should be returned. The sub-scene graph repesented by a portrayal is wraped in a TransformGroup, so the parent could place the child at the apropriate position relative to the parent's coordinate system. The child is responsible for positioning itself relative to its own coordinate system. E.g. if the model assumes the position for an object is the postion of its center/upper-left corner/etc, then the portrayal for the object should have the center/upper-left corner of the J3D model of the object in the origin of its coorniate system.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD